# Kernel dbg packages contain a full image with debug data
linux-image-6.12.9-1kaisen-rt-arm64-dbg: dbg-package-missing-depends

# glibc doesn't seem to check for a PT_GNU_STACK section in vDSOs, so
# it's OK that they don't have it
linux-image-6.12.9-1kaisen-rt-arm64-dbg: shared-library-lacks-stack-section *usr/lib/debug/lib/modules/6.12.9-1kaisen-rt-arm64/vdso/vdso.so*
linux-image-6.12.9-1kaisen-rt-arm64-dbg: shared-library-lacks-stack-section *usr/lib/debug/lib/modules/6.12.9-1kaisen-rt-arm64/vdso/vdso32.so*

# It is intended that 64-bit kernels provide vDSOs for 32-bit executables.
# lintian currently allows i386 executables on amd64.
linux-image-6.12.9-1kaisen-rt-arm64-dbg: binary-from-other-architecture *usr/lib/debug/lib/modules/6.12.9-1kaisen-rt-arm64/vdso/vdso32.so*

# Some 32-bit architectures need 64-bit kernels and we still build
# these as the "wrong" architecture rather than mandating multiarch.
